/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>.
 */
package data;

/**
 * The Class Pointer. Data structure used to manage input from the 
 * GAIN user tracking and preference learning web service.
 * 
 * @author Pantelis Ieronimakis
 */
public class Pointer {
	
	/** The value. */
	private String value;

	/**
	 * Instantiates a new Pointer instance.
	 *
	 * @param s the s
	 */

	public Pointer(String s) {
		this.value = s;
	}

	/**
	 * Method that returns the value of Pointer-Object created.
	 *
	 * @param p the pointer
	 * @return the pointer value
	 */
	public String getPointerValue(Pointer p) {
		return p.value;
	}

}
