/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>.
 */
package profile;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.text.ParseException;

import org.xml.sax.SAXException;

import test.TestUserProfileCreator;

/**
 * The Class UpdateUserProfile. Wrapper class used to invoke the user profile updating process.
 * 
 * @author Pantelis Ieronimakis
 */
public class UpdateUserProfile {
	
	/**
	 * Update user plain profile.
	 *
	 * @param accountID the account id
	 * @param uid the uid
	 * @throws FileNotFoundException the file not found exception
	 * @throws SAXException the SAX exception
	 * @throws IOException Signals that an I/O exception has occurred.
	 * @throws ParseException the parse exception
	 */
	@SuppressWarnings("static-access")
	public void UpdateUserPlainProfile(String accountID, String uid)
			throws FileNotFoundException, SAXException, IOException,
			ParseException {
		Double lamda = 0.00000000009;
		PlainUserProfileCreator pupcObject = new PlainUserProfileCreator();
		pupcObject.updateUser(pupcObject, accountID, uid);
		TestUserProfileCreator test = new TestUserProfileCreator();
		// test.userInit(uid);
		//test.createKRSSProfile(uid, KRSSProfileType.RANDOM, accountID);
		test.createKRSSProfile(uid, accountID,lamda);
	}

}
