/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>. 
 */
package test;

import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

import store.PMMLParserHandler;

/**
 * The Class TestPMMLParserCreator.
 * 
 * @author Pantelis Ieronimakis
 */
public class TestPMMLParserCreator {

	/**
	 * The main method.
	 *
	 * @param args the arguments
	 * @throws Exception the exception
	 */
	public static void main(String args[]) throws Exception {

		PMMLParserHandler mHObject = new PMMLParserHandler();

		XMLReader parser = XMLReaderFactory.createXMLReader();
		parser.setContentHandler(mHObject);
		parser.parse("XMLFile.xml");

		// Rule-Objects List
		System.out.println(mHObject.getRule());
		// Concept-Value Objects List
		System.out.println(mHObject.getConceptValueRule());

	}

}
