/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>.
 */
package test;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.text.ParseException;

import org.xml.sax.SAXException;

import profile.PlainUserProfileCreator;
import profile.UpdateUserProfile;

/**
 * The Class TestUpdateCreator.
 * 
 * @author Pantelis Ieronimakis
 */
public class TestUpdateCreator {
	
	/**
	 * The main method.
	 *
	 * @param args the arguments
	 * @throws FileNotFoundException the file not found exception
	 * @throws SAXException the SAX exception
	 * @throws IOException Signals that an I/O exception has occurred.
	 * @throws ParseException the parse exception
	 */
	public static void main(String[] args) throws FileNotFoundException,
			SAXException, IOException, ParseException {
		String accountID = "YOUTUBE-TEST";
		String uid = "7";		
		PlainUserProfileCreator ts = new PlainUserProfileCreator();
		UpdateUserProfile uup = new UpdateUserProfile();
		long start = System.currentTimeMillis();
		uup.UpdateUserPlainProfile(accountID, uid);
		System.out.println(System.currentTimeMillis() - start + "ms.");
	}
}
