/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>. 
 */
package util;

/**
 * A simple class that counts the number of transactions of a specific user.
 * 
 * @author Pantelis Ieronimakis
 */
public class Counter
{	
	
	/** The number of transactions. */
	private static int numberOfTransactions=0;
	/** Whether the class is initialized or not. */
	private static boolean initialized=false;
	
	
	/**
	 * Increase transactions number by one.
	 */
	public static void increaseTransactions()
	{
		numberOfTransactions++;
	}
	
	/**
	 * Gets the number of transactions.
	 * 
	 * @return the number of transactions
	 */
	public static int getNumberOfTransactions()
	{
		if (initialized) return numberOfTransactions;
		else
		{
			return -1;
		}
	}
	
	/**
	 * Initializes the class.
	 * 
	 * @param numOfTransactions the number of transactions
	 */
	public static void initialize(int numOfTransactions)
	{
		
		numberOfTransactions = numOfTransactions;
		initialized=true;
	}
}
