/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>. 
 */
package util;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

import store.PMMLParserHandler;

/**
 * The Class FileOpenUtil.
 * 
 * @author Pantelis Ieronimakis
 */
public class FileOpenUtil {
	
	/** The mh object. */
	PMMLParserHandler mhObject = new PMMLParserHandler();
	
	/** The lines. */
	final ArrayList<String> lines = new ArrayList<String>();

	/**
	 * openFile method opens a .txt file,reads all its lines and isolates the
	 * last column from every line while adding every line to a list called
	 * Lines.
	 *
	 * @throws FileNotFoundException the file not found exception
	 */

	public void openFile() throws FileNotFoundException {
		ArrayList<String> lastColumn = new ArrayList<String>();
		File file = new File("Test.txt");
		Scanner scanner = new Scanner(file);
		while (scanner.hasNextLine()) {
			String line = scanner.nextLine();
			lines.add(line);
			for (int i = 0; i < lines.size(); i++) {
				mhObject.printList(lines, lines.size());

				String[] parts = lines.get(i).split("\\s+");
				String temp = parts[parts.length - 1];
				String temp2 = temp.substring(1, temp.length() - 1);
				lastColumn.add(temp2);
			}
		}

		scanner.close();
		System.out.println("Teleutaia sthlh test");
		mhObject.printList(lastColumn, lastColumn.size());
	}

	/**
	 * Sets the following line to the lines ArrayList.
	 *
	 * @param s the new lines
	 */

	public void setLines(String s) {
		lines.add(s);
	}

	/**
	 * Returns lines ArrayList.
	 *
	 * @return the lines
	 */

	public ArrayList<String> getLines() {
		return lines;
	}

	/**
	 * Returns the size of lines ArrayList.
	 *
	 * @return the lines size
	 */

	public int getLinesSize() {
		return lines.size();
	}

	/**
	 * linesRead method uses a list as input and iterates throught the list
	 * isolating the last column of it.
	 *
	 * @param alist the alist
	 * @return the array list
	 */

	public ArrayList<String> linesRead(ArrayList<String> alist) {
		ArrayList<String> lastColumn = new ArrayList<String>();
		for (int i = 0; i < alist.size(); i++) {
			System.out.println(alist.get(i));
			String[] parts = alist.get(i).split("\\s+");
			String temp = parts[parts.length - 1];
			String temp2 = temp.substring(1, temp.length() - 1);
			lastColumn.add(temp2);
		}

		System.out.println("Last column test :\n");
		for (int j = 0; j < lastColumn.size(); j++) {
			System.out.println(lastColumn.get(j));
		}
		return lastColumn;
	}

	/**
	 * listMatch method compares 2 ArrayLists and notifies in case of a match.
	 *
	 * @param list1 the list1
	 * @param list2 the list2
	 * @param list1_size the list1_size
	 * @param list2_size the list2_size
	 */

	public void listMatch(ArrayList<String> list1, ArrayList<String> list2,
			int list1_size, int list2_size) {
		for (int i = 0; i < list1.size(); i++) {
			for (int j = 0; j < list2.size(); j++) {
				if (list1.get(i).equals(list2.get(j))) {
					System.out.println("Match Concept :\t" + list1.get(i));
				}
			}
		}
	}
	
	
	/**
	 * Read from file.
	 *
	 * @param path the path
	 * @return the array list
	 * @throws FileNotFoundException the file not found exception
	 */
	public static ArrayList<String> readFromFile(String path)
			throws FileNotFoundException {
		ArrayList<String> lines = new ArrayList<String>();

		try {
			File file = new File(path);
			Scanner scanner = new Scanner(file);
			while (scanner.hasNextLine()) {
				String line = scanner.nextLine();
				lines.add(line);
			}
			scanner.close();
		} catch (Exception e) {

		}
		return lines;
	}
	
}
