/*
 * This file is part of Linked Profiler
 * Copyright (C) 2015 Pantelis Ieronimakis, Dorothea Tsatsou and Vasileios Mezaris.
 * 
 * Linked Profiler is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Linked Profiler is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Linked Profiler.  If not, see <http://www.gnu.org/licenses/>. 
 */
package util;

import java.util.ArrayList;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * The Class StringEditUtil.
 * 
 * @author Pantelis Ieronimakis
 */
public class StringEditUtil {

	/**
	 * stringSplitAnd method splits a string into a parts array using "AND" to
	 * seperate the several parts.
	 *
	 * @param s the s
	 * @return the string[]
	 */
	public String[] stringSplitAnd(String s) {
		s.trim();
		String[] temp = s.split("AND");
		System.out.println();
		return temp;
	}

	/**
	 * stringParser method creates a ConcurrentHashMap from a string extracted
	 * from a parsed XML file describing a discovered rule and returns the map.
	 *
	 * @param s the s
	 * @return the map
	 */

	public Map<String, Double> stringParser(String s) {

		Map<String, Double> map = new ConcurrentHashMap<String, Double>(16,
				(float) 0.9, 1);
		String temp = s.replaceAll("[^a-zA-Z]", "");
		String[] temp2 = stringSplitAnd(temp);
		String[] temp3 = s.split("AND");
		for (int i = 0; i < temp3.length; i++) {

			System.out.println(temp2[i]);

			String temp4 = temp3[i].replaceAll("[^\\d.]", "");
			double value = Double.parseDouble(temp4);
			System.out.println(value);
			map.put(temp2[i], value);
		}
		return map;
	}

	/**
	 * valueParser method creates an ArrayList<String> containing the Values of
	 * every Concept.
	 *
	 * @param s the s
	 * @return the ArrayList.
	 */

	public ArrayList<String> valueParser(String s) {
		ArrayList<String> valueList = new ArrayList<String>();
		String[] temp3 = s.split("AND");
		for (int i = 0; i < temp3.length; i++) {
			String temp4 = temp3[i].replaceAll("[^\\d.]", "");
			valueList.add(temp4);
		}
		return valueList;
	}

	/**
	 * conceptParser method creates an ArrayList<String> containing the Concepts
	 * that derive from every Associative Rule.
	 *
	 * @param s the s
	 * @return the ArrayList.
	 */

	public ArrayList<String> conceptParser(String s) {
		ArrayList<String> conceptList = new ArrayList<String>();
		String temp = s.replaceAll("[^a-zA-Z]", "");
		String[] temp2 = stringSplitAnd(temp);
		String[] temp3 = s.split("AND");
		for (int i = 0; i < temp3.length; i++) {
			conceptList.add(temp2[i]);
		}
		return conceptList;
	}

	/**
	 * conceptIso method isolates different concepts from a given antecedent
	 * string,stores them into an ArrayList which it also returns.
	 *
	 * @param s the s
	 * @return the array list
	 */
	public ArrayList<String> conceptIso(String s) {
		ArrayList<String> list = new ArrayList<String>();
		String temp = s.replaceAll("[^a-zA-Z]", "");
		String[] temp2 = temp.split("AND");
		for (int i = 0; i < temp2.length; i++) {
			list.add(temp2[i]);
		}
		return list;
	}

}
